summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--gettext-tools/tests/ChangeLog7
-rwxr-xr-xgettext-tools/tests/format-c-58
-rw-r--r--gettext-tools/tests/format-c-5-prg.c2
3 files changed, 14 insertions, 3 deletions
diff --git a/gettext-tools/tests/ChangeLog b/gettext-tools/tests/ChangeLog
index 15c0883..4aa8d21 100644
--- a/gettext-tools/tests/ChangeLog
+++ b/gettext-tools/tests/ChangeLog
@@ -1,3 +1,10 @@
+2004-01-30 Bruno Haible <bruno@clisp.org>
+
+ * format-c-5-prg.c (main): Return with exit code 77 when the requested
+ locale doesn't exist.
+ * format-c-5: Skip the test when the fa_IR locale doesn't exist.
+ Reported by Paul Jarc <prj@po.cwru.edu>.
+
2004-01-29 Bruno Haible <bruno@clisp.org>
* gettext-0.14.1 released.
diff --git a/gettext-tools/tests/format-c-5 b/gettext-tools/tests/format-c-5
index e0bfedb..7430ac3 100755
--- a/gettext-tools/tests/format-c-5
+++ b/gettext-tools/tests/format-c-5
@@ -45,8 +45,12 @@ sed 1d < fa.po > fa.po.strip
${DIFF} fa.po.strip fa.po.tmp || exit 1
LANGUAGE= ./fc5 fa_IR
-result=$?
+case $? in
+ 0) ;;
+ 77) rm -fr $tmpfiles; exit 77;;
+ *) exit 1;;
+esac
rm -fr $tmpfiles
-exit $result
+exit 0
diff --git a/gettext-tools/tests/format-c-5-prg.c b/gettext-tools/tests/format-c-5-prg.c
index 8fd2fc8..14d52fd 100644
--- a/gettext-tools/tests/format-c-5-prg.c
+++ b/gettext-tools/tests/format-c-5-prg.c
@@ -50,7 +50,7 @@ main (int argc, char *argv[])
if (setlocale (LC_ALL, "") == NULL)
{
fprintf (stderr, "Couldn't set locale.\n");
- exit (1);
+ exit (77);
}
textdomain ("fc5");